/* File automatically generate by ./rpmh2tbl
 * Olivier Thauvin <thauvin at aerov.jussieu.fr>
 * Parsed files:
 * /usr/include/rpm/argv.h
 * /usr/include/rpm/header.h
 * /usr/include/rpm/rpmarchive.h
 * /usr/include/rpm/rpmbase64.h
 * /usr/include/rpm/rpmbuild.h
 * /usr/include/rpm/rpmcallback.h
 * /usr/include/rpm/rpmcli.h
 * /usr/include/rpm/rpmdb.h
 * /usr/include/rpm/rpmds.h
 * /usr/include/rpm/rpmfc.h
 * /usr/include/rpm/rpmfi.h
 * /usr/include/rpm/rpmfiles.h
 * /usr/include/rpm/rpmfileutil.h
 * /usr/include/rpm/rpmio.h
 * /usr/include/rpm/rpmkeyring.h
 * /usr/include/rpm/rpmlegacy.h
 * /usr/include/rpm/rpmlib.h
 * /usr/include/rpm/rpmlog.h
 * /usr/include/rpm/rpmmacro.h
 * /usr/include/rpm/rpmpgp.h
 * /usr/include/rpm/rpmpol.h
 * /usr/include/rpm/rpmprob.h
 * /usr/include/rpm/rpmps.h
 * /usr/include/rpm/rpmsign.h
 * /usr/include/rpm/rpmspec.h
 * /usr/include/rpm/rpmsq.h
 * /usr/include/rpm/rpmstring.h
 * /usr/include/rpm/rpmstrpool.h
 * /usr/include/rpm/rpmsw.h
 * /usr/include/rpm/rpmtag.h
 * /usr/include/rpm/rpmtd.h
 * /usr/include/rpm/rpmte.h
 * /usr/include/rpm/rpmts.h
 * /usr/include/rpm/rpmtypes.h
 * /usr/include/rpm/rpmurl.h
 * /usr/include/rpm/rpmutil.h
 * /usr/include/rpm/rpmvercmp.h
 * /usr/include/rpm/rpmvf.h
 */

#define RPMCONSTANT_INTERNAL
#include "rpmconstant.h"
 

/* From header.h
 * prefix tag: 
 * table: hMagic */
static const struct rpmconstant_s hMagicctbl[] = {
#ifdef H_HEADER
	{ "HEADER_MAGIC_NO", HEADER_MAGIC_NO }, 
	{ "HEADER_MAGIC_YES", HEADER_MAGIC_YES }, 
#endif /* H_HEADER */
	{ NULL, 0 } /* NULL terminated (hMagic) */
};
const struct rpmconstant_s * hMagicctable = hMagicctbl;


/* From rpmbuild.h
 * prefix tag: RPMBUILD_
 * table: rpmBuildFlags */
static const struct rpmconstant_s rpmBuildFlagsctbl[] = {
#ifdef _H_RPMBUILD_
	{ "RPMBUILD_NONE", RPMBUILD_NONE }, 
	{ "RPMBUILD_PREP", RPMBUILD_PREP }, 
	{ "RPMBUILD_BUILD", RPMBUILD_BUILD }, 
	{ "RPMBUILD_INSTALL", RPMBUILD_INSTALL }, 
	{ "RPMBUILD_CHECK", RPMBUILD_CHECK }, 
	{ "RPMBUILD_CLEAN", RPMBUILD_CLEAN }, 
	{ "RPMBUILD_FILECHECK", RPMBUILD_FILECHECK }, 
	{ "RPMBUILD_PACKAGESOURCE", RPMBUILD_PACKAGESOURCE }, 
	{ "RPMBUILD_PACKAGEBINARY", RPMBUILD_PACKAGEBINARY }, 
	{ "RPMBUILD_RMSOURCE", RPMBUILD_RMSOURCE }, 
	{ "RPMBUILD_RMBUILD", RPMBUILD_RMBUILD }, 
	{ "RPMBUILD_STRINGBUF", RPMBUILD_STRINGBUF }, 
	{ "RPMBUILD_RMSPEC", RPMBUILD_RMSPEC }, 
	{ "RPMBUILD_FILE_FILE", RPMBUILD_FILE_FILE }, 
	{ "RPMBUILD_FILE_LIST", RPMBUILD_FILE_LIST }, 
	{ "RPMBUILD_POLICY", RPMBUILD_POLICY }, 
	{ "RPMBUILD_NOBUILD", RPMBUILD_NOBUILD }, 
	{ "RPMBUILD_PKG_NONE", RPMBUILD_PKG_NONE }, 
	{ "RPMBUILD_PKG_NODIRTOKENS", RPMBUILD_PKG_NODIRTOKENS }, 
#endif /* _H_RPMBUILD_ */
	{ NULL, 0 } /* NULL terminated (rpmBuildFlags) */
};
const struct rpmconstant_s * rpmBuildFlagsctable = rpmBuildFlagsctbl;


/* From rpmdb.h
 * prefix tag: RPMMIRE_
 * table: rpmMireMode */
static const struct rpmconstant_s rpmMireModectbl[] = {
#ifdef H_RPMDB
	{ "RPMMIRE_DEFAULT", RPMMIRE_DEFAULT }, /*!< regex with \., .* and ^...$ added */
	{ "RPMMIRE_STRCMP", RPMMIRE_STRCMP }, /*!< strings  using strcmp(3) */
	{ "RPMMIRE_REGEX", RPMMIRE_REGEX }, /*!< regex(7) patterns through regcomp(3) */
	{ "RPMMIRE_GLOB", RPMMIRE_GLOB }, /*!< glob(7) patterns through fnmatch(3) */
#endif /* H_RPMDB */
	{ NULL, 0 } /* NULL terminated (rpmMireMode) */
};
const struct rpmconstant_s * rpmMireModectable = rpmMireModectbl;


/* From rpmds.h
 * prefix tag: RPMSENSE_
 * table: rpmsenseflags */
static const struct rpmconstant_s rpmsenseflagsctbl[] = {
#ifdef H_RPMDS
	{ "RPMSENSE_ANY", RPMSENSE_ANY }, 
	{ "RPMSENSE_LESS", RPMSENSE_LESS }, 
	{ "RPMSENSE_GREATER", RPMSENSE_GREATER }, 
	{ "RPMSENSE_EQUAL", RPMSENSE_EQUAL }, 
	{ "RPMSENSE_POSTTRANS", RPMSENSE_POSTTRANS }, 
	{ "RPMSENSE_PREREQ", RPMSENSE_PREREQ }, 
	{ "RPMSENSE_PRETRANS", RPMSENSE_PRETRANS }, 
	{ "RPMSENSE_INTERP", RPMSENSE_INTERP }, 
	{ "RPMSENSE_SCRIPT_PRE", RPMSENSE_SCRIPT_PRE }, 
	{ "RPMSENSE_SCRIPT_POST", RPMSENSE_SCRIPT_POST }, 
	{ "RPMSENSE_SCRIPT_PREUN", RPMSENSE_SCRIPT_PREUN }, 
	{ "RPMSENSE_SCRIPT_POSTUN", RPMSENSE_SCRIPT_POSTUN }, 
	{ "RPMSENSE_SCRIPT_VERIFY", RPMSENSE_SCRIPT_VERIFY }, 
	{ "RPMSENSE_FIND_REQUIRES", RPMSENSE_FIND_REQUIRES }, 
	{ "RPMSENSE_FIND_PROVIDES", RPMSENSE_FIND_PROVIDES }, 
	{ "RPMSENSE_TRIGGERIN", RPMSENSE_TRIGGERIN }, 
	{ "RPMSENSE_TRIGGERUN", RPMSENSE_TRIGGERUN }, 
	{ "RPMSENSE_TRIGGERPOSTUN", RPMSENSE_TRIGGERPOSTUN }, 
	{ "RPMSENSE_MISSINGOK", RPMSENSE_MISSINGOK }, 
	{ "RPMSENSE_RPMLIB", RPMSENSE_RPMLIB }, 
	{ "RPMSENSE_TRIGGERPREIN", RPMSENSE_TRIGGERPREIN }, 
	{ "RPMSENSE_KEYRING", RPMSENSE_KEYRING }, 
	{ "RPMSENSE_CONFIG", RPMSENSE_CONFIG }, 
	{ "RPMSENSE_SENSEMASK", RPMSENSE_SENSEMASK }, /* Mask to get senses, ie serial, */
	{ "RPMSENSE_TRIGGER", RPMSENSE_TRIGGER }, 
#endif /* H_RPMDS */
	{ NULL, 0 } /* NULL terminated (rpmsenseflags) */
};
const struct rpmconstant_s * rpmsenseflagsctable = rpmsenseflagsctbl;


/* From rpmlib.h
 * prefix tag: RPM_MACHTABLE_
 * table: rpm_machtable */
static const struct rpmconstant_s rpm_machtablectbl[] = {
#ifdef H_RPMLIB
	{ "RPM_MACHTABLE_INSTARCH", RPM_MACHTABLE_INSTARCH }, /*!< Install platform architecture. */
	{ "RPM_MACHTABLE_INSTOS", RPM_MACHTABLE_INSTOS }, /*!< Install platform operating system. */
	{ "RPM_MACHTABLE_BUILDARCH", RPM_MACHTABLE_BUILDARCH }, /*!< Build platform architecture. */
	{ "RPM_MACHTABLE_BUILDOS", RPM_MACHTABLE_BUILDOS }, /*!< Build platform operating system. */
	{ "RPM_MACHTABLE_COUNT", RPM_MACHTABLE_COUNT }, /*!< No. of arch/os tables. */
#endif /* H_RPMLIB */
	{ NULL, 0 } /* NULL terminated (rpm_machtable) */
};
const struct rpmconstant_s * rpm_machtablectable = rpm_machtablectbl;


/* From rpmlog.h
 * prefix tag: RPMLOG_
 * table: rpmlog */
static const struct rpmconstant_s rpmlogctbl[] = {
#ifdef H_RPMLOG
	{ "RPMLOG_EMERG", RPMLOG_EMERG }, /*!< system is unusable */
	{ "RPMLOG_ALERT", RPMLOG_ALERT }, /*!< action must be taken immediately */
	{ "RPMLOG_CRIT", RPMLOG_CRIT }, /*!< critical conditions */
	{ "RPMLOG_ERR", RPMLOG_ERR }, /*!< error conditions */
	{ "RPMLOG_WARNING", RPMLOG_WARNING }, /*!< warning conditions */
	{ "RPMLOG_NOTICE", RPMLOG_NOTICE }, /*!< normal but significant condition */
	{ "RPMLOG_INFO", RPMLOG_INFO }, /*!< informational */
	{ "RPMLOG_DEBUG", RPMLOG_DEBUG }, /*!< debug-level messages */
	{ "RPMLOG_PRIMASK", RPMLOG_PRIMASK }, /* mask to extract priority part (internal) */
	{ "RPMLOG_KERN", RPMLOG_KERN }, 
	{ "RPMLOG_USER", RPMLOG_USER }, 
	{ "RPMLOG_MAIL", RPMLOG_MAIL }, 
	{ "RPMLOG_DAEMON", RPMLOG_DAEMON }, 
	{ "RPMLOG_AUTH", RPMLOG_AUTH }, 
	{ "RPMLOG_SYSLOG", RPMLOG_SYSLOG }, 
	{ "RPMLOG_LPR", RPMLOG_LPR }, 
	{ "RPMLOG_NEWS", RPMLOG_NEWS }, 
	{ "RPMLOG_UUCP", RPMLOG_UUCP }, 
	{ "RPMLOG_CRON", RPMLOG_CRON }, 
	{ "RPMLOG_AUTHPRIV", RPMLOG_AUTHPRIV }, 
	{ "RPMLOG_FTP", RPMLOG_FTP }, 
	{ "RPMLOG_LOCAL0", RPMLOG_LOCAL0 }, 
	{ "RPMLOG_LOCAL1", RPMLOG_LOCAL1 }, 
	{ "RPMLOG_LOCAL2", RPMLOG_LOCAL2 }, 
	{ "RPMLOG_LOCAL3", RPMLOG_LOCAL3 }, 
	{ "RPMLOG_LOCAL4", RPMLOG_LOCAL4 }, 
	{ "RPMLOG_LOCAL5", RPMLOG_LOCAL5 }, 
	{ "RPMLOG_LOCAL6", RPMLOG_LOCAL6 }, 
	{ "RPMLOG_LOCAL7", RPMLOG_LOCAL7 }, 
	{ "RPMLOG_NFACILITIES", RPMLOG_NFACILITIES }, /*!< current number of facilities */
	{ "RPMLOG_ERRMSG", RPMLOG_ERRMSG }, 
	{ "RPMLOG_FACMASK", RPMLOG_FACMASK }, /*!< mask to extract facility part */
	{ "RPMLOG_ODELAY", RPMLOG_ODELAY }, /*!< delay open until first syslog() (default) */
	{ "RPMLOG_NDELAY", RPMLOG_NDELAY }, /*!< don't delay open */
	{ "RPMLOG_PID", RPMLOG_PID }, /*!< log the pid with each message */
	{ "RPMLOG_CONS", RPMLOG_CONS }, /*!< log on the console if errors in sending */
	{ "RPMLOG_NOWAIT", RPMLOG_NOWAIT }, /*!< don't wait for console forks: DEPRECATED */
	{ "RPMLOG_PERROR", RPMLOG_PERROR }, /*!< log to stderr as well */
	{ "RPMLOG_DEFAULT", RPMLOG_DEFAULT }, /*!< perform default logging */
	{ "RPMLOG_EXIT", RPMLOG_EXIT }, /*!< exit after logging */
#endif /* H_RPMLOG */
	{ NULL, 0 } /* NULL terminated (rpmlog) */
};
const struct rpmconstant_s * rpmlogctable = rpmlogctbl;


/* From rpmmacro.h
 * prefix tag: RMIL_
 * table: rpmMacrosContext */
static const struct rpmconstant_s rpmMacrosContextctbl[] = {
#ifdef _H_MACRO_
	{ "RMIL_DEFAULT", RMIL_DEFAULT }, 
	{ "RMIL_MACROFILES", RMIL_MACROFILES }, 
	{ "RMIL_RPMRC", RMIL_RPMRC }, 
	{ "RMIL_CMDLINE", RMIL_CMDLINE }, 
	{ "RMIL_TARBALL", RMIL_TARBALL }, 
	{ "RMIL_SPEC", RMIL_SPEC }, 
	{ "RMIL_OLDSPEC", RMIL_OLDSPEC }, 
	{ "RMIL_GLOBAL", RMIL_GLOBAL }, 
#endif /* _H_MACRO_ */
	{ NULL, 0 } /* NULL terminated (rpmMacrosContext) */
};
const struct rpmconstant_s * rpmMacrosContextctable = rpmMacrosContextctbl;


/* From rpmtag.h
 * prefix tag: RPM_
 * table: rpmTagType */
static const struct rpmconstant_s rpmTagTypectbl[] = {
#ifdef _RPMTAG_H
	{ "RPM_MIN", RPM_MIN_TYPE }, 
	{ "RPM_NULL", RPM_NULL_TYPE }, 
	{ "RPM_CHAR", RPM_CHAR_TYPE }, 
	{ "RPM_INT8", RPM_INT8_TYPE }, 
	{ "RPM_INT16", RPM_INT16_TYPE }, 
	{ "RPM_INT32", RPM_INT32_TYPE }, 
	{ "RPM_INT64", RPM_INT64_TYPE }, 
	{ "RPM_STRING", RPM_STRING_TYPE }, 
	{ "RPM_BIN", RPM_BIN_TYPE }, 
	{ "RPM_STRING_ARRAY", RPM_STRING_ARRAY_TYPE }, 
	{ "RPM_I18NSTRING", RPM_I18NSTRING_TYPE }, 
	{ "RPM_MAX", RPM_MAX_TYPE }, 
	{ "RPM_FORCEFREE", RPM_FORCEFREE_TYPE }, 
	{ "RPM_MASK", RPM_MASK_TYPE }, 
	{ "RPM_REGION", RPM_REGION_TYPE }, 
	{ "RPM_BIN_ARRAY", RPM_BIN_ARRAY_TYPE }, 
	{ "RPM_XREF", RPM_XREF_TYPE }, 
	{ "RPM_ANY_RETURN", RPM_ANY_RETURN_TYPE }, 
	{ "RPM_SCALAR_RETURN", RPM_SCALAR_RETURN_TYPE }, 
	{ "RPM_ARRAY_RETURN", RPM_ARRAY_RETURN_TYPE }, 
	{ "RPM_MAPPING_RETURN", RPM_MAPPING_RETURN_TYPE }, 
	{ "RPM_MASK_RETURN", RPM_MASK_RETURN_TYPE }, 
#endif /* _RPMTAG_H */
	{ NULL, 0 } /* NULL terminated (rpmTagType) */
};
const struct rpmconstant_s * rpmTagTypectable = rpmTagTypectbl;


/* From rpmtag.h
 * prefix tag: RPMTAG_
 * table: rpmTag */
static const struct rpmconstant_s rpmTagctbl[] = {
#ifdef _RPMTAG_H
	{ "RPMTAG_NOT_FOUND", RPMTAG_NOT_FOUND }, /*!< Unknown tag */
	{ "RPMTAG_HEADERIMAGE", RPMTAG_HEADERIMAGE }, /*!< Current image. */
	{ "RPMTAG_HEADERSIGNATURES", RPMTAG_HEADERSIGNATURES }, /*!< Signatures. */
	{ "RPMTAG_HEADERIMMUTABLE", RPMTAG_HEADERIMMUTABLE }, /*!< Original image. */
	{ "RPMTAG_HEADERREGIONS", RPMTAG_HEADERREGIONS }, /*!< Regions. */
	{ "RPMTAG_HEADERI18NTABLE", RPMTAG_HEADERI18NTABLE }, /* s[] !< I18N string locales. */
	{ "RPMTAG_SIG_BASE", RPMTAG_SIG_BASE }, 
	{ "RPMTAG_SIGSIZE", RPMTAG_SIGSIZE }, /* i */
	{ "RPMTAG_SIGLEMD5_1", RPMTAG_SIGLEMD5_1 }, /* internal - obsolete */
	{ "RPMTAG_SIGPGP", RPMTAG_SIGPGP }, /* x */
	{ "RPMTAG_SIGLEMD5_2", RPMTAG_SIGLEMD5_2 }, /* x internal - obsolete */
	{ "RPMTAG_SIGMD5", RPMTAG_SIGMD5 }, /* x */
	{ "RPMTAG_PKGID", RPMTAG_PKGID }, /* x */
	{ "RPMTAG_SIGGPG", RPMTAG_SIGGPG }, /* x */
	{ "RPMTAG_SIGPGP5", RPMTAG_SIGPGP5 }, /* internal - obsolete */
	{ "RPMTAG_BADSHA1_1", RPMTAG_BADSHA1_1 }, /* internal - obsolete */
	{ "RPMTAG_BADSHA1_2", RPMTAG_BADSHA1_2 }, /* internal - obsolete */
	{ "RPMTAG_PUBKEYS", RPMTAG_PUBKEYS }, /* s[] */
	{ "RPMTAG_DSAHEADER", RPMTAG_DSAHEADER }, /* x */
	{ "RPMTAG_RSAHEADER", RPMTAG_RSAHEADER }, /* x */
	{ "RPMTAG_SHA1HEADER", RPMTAG_SHA1HEADER }, /* s */
	{ "RPMTAG_HDRID", RPMTAG_HDRID }, /* s */
	{ "RPMTAG_LONGSIGSIZE", RPMTAG_LONGSIGSIZE }, /* l */
	{ "RPMTAG_LONGARCHIVESIZE", RPMTAG_LONGARCHIVESIZE }, /* l */
	{ "RPMTAG_NAME", RPMTAG_NAME }, /* s */
	{ "RPMTAG_N", RPMTAG_N }, /* s */
	{ "RPMTAG_VERSION", RPMTAG_VERSION }, /* s */
	{ "RPMTAG_V", RPMTAG_V }, /* s */
	{ "RPMTAG_RELEASE", RPMTAG_RELEASE }, /* s */
	{ "RPMTAG_R", RPMTAG_R }, /* s */
	{ "RPMTAG_EPOCH", RPMTAG_EPOCH }, /* i */
	{ "RPMTAG_E", RPMTAG_E }, /* i */
	{ "RPMTAG_SERIAL", RPMTAG_SERIAL }, /* i */
	{ "RPMTAG_SUMMARY", RPMTAG_SUMMARY }, /* s{} */
	{ "RPMTAG_DESCRIPTION", RPMTAG_DESCRIPTION }, /* s{} */
	{ "RPMTAG_BUILDTIME", RPMTAG_BUILDTIME }, /* i */
	{ "RPMTAG_BUILDHOST", RPMTAG_BUILDHOST }, /* s */
	{ "RPMTAG_INSTALLTIME", RPMTAG_INSTALLTIME }, /* i */
	{ "RPMTAG_SIZE", RPMTAG_SIZE }, /* i */
	{ "RPMTAG_DISTRIBUTION", RPMTAG_DISTRIBUTION }, /* s */
	{ "RPMTAG_VENDOR", RPMTAG_VENDOR }, /* s */
	{ "RPMTAG_GIF", RPMTAG_GIF }, /* x */
	{ "RPMTAG_XPM", RPMTAG_XPM }, /* x */
	{ "RPMTAG_LICENSE", RPMTAG_LICENSE }, /* s */
	{ "RPMTAG_PACKAGER", RPMTAG_PACKAGER }, /* s */
	{ "RPMTAG_GROUP", RPMTAG_GROUP }, /* s{} */
	{ "RPMTAG_CHANGELOG", RPMTAG_CHANGELOG }, /* s[] internal */
	{ "RPMTAG_SOURCE", RPMTAG_SOURCE }, /* s[] */
	{ "RPMTAG_PATCH", RPMTAG_PATCH }, /* s[] */
	{ "RPMTAG_URL", RPMTAG_URL }, /* s */
	{ "RPMTAG_OS", RPMTAG_OS }, /* s legacy used int */
	{ "RPMTAG_ARCH", RPMTAG_ARCH }, /* s legacy used int */
	{ "RPMTAG_PREIN", RPMTAG_PREIN }, /* s */
	{ "RPMTAG_POSTIN", RPMTAG_POSTIN }, /* s */
	{ "RPMTAG_PREUN", RPMTAG_PREUN }, /* s */
	{ "RPMTAG_POSTUN", RPMTAG_POSTUN }, /* s */
	{ "RPMTAG_OLDFILENAMES", RPMTAG_OLDFILENAMES }, /* s[] obsolete */
	{ "RPMTAG_FILESIZES", RPMTAG_FILESIZES }, /* i[] */
	{ "RPMTAG_FILESTATES", RPMTAG_FILESTATES }, /* c[] */
	{ "RPMTAG_FILEMODES", RPMTAG_FILEMODES }, /* h[] */
	{ "RPMTAG_FILEUIDS", RPMTAG_FILEUIDS }, /* i[] internal - obsolete */
	{ "RPMTAG_FILEGIDS", RPMTAG_FILEGIDS }, /* i[] internal - obsolete */
	{ "RPMTAG_FILERDEVS", RPMTAG_FILERDEVS }, /* h[] */
	{ "RPMTAG_FILEMTIMES", RPMTAG_FILEMTIMES }, /* i[] */
	{ "RPMTAG_FILEDIGESTS", RPMTAG_FILEDIGESTS }, /* s[] */
	{ "RPMTAG_FILEMD5S", RPMTAG_FILEMD5S }, /* s[] */
	{ "RPMTAG_FILELINKTOS", RPMTAG_FILELINKTOS }, /* s[] */
	{ "RPMTAG_FILEFLAGS", RPMTAG_FILEFLAGS }, /* i[] */
	{ "RPMTAG_ROOT", RPMTAG_ROOT }, /* internal - obsolete */
	{ "RPMTAG_FILEUSERNAME", RPMTAG_FILEUSERNAME }, /* s[] */
	{ "RPMTAG_FILEGROUPNAME", RPMTAG_FILEGROUPNAME }, /* s[] */
	{ "RPMTAG_EXCLUDE", RPMTAG_EXCLUDE }, /* internal - obsolete */
	{ "RPMTAG_EXCLUSIVE", RPMTAG_EXCLUSIVE }, /* internal - obsolete */
	{ "RPMTAG_ICON", RPMTAG_ICON }, /* x */
	{ "RPMTAG_SOURCERPM", RPMTAG_SOURCERPM }, /* s */
	{ "RPMTAG_FILEVERIFYFLAGS", RPMTAG_FILEVERIFYFLAGS }, /* i[] */
	{ "RPMTAG_ARCHIVESIZE", RPMTAG_ARCHIVESIZE }, /* i */
	{ "RPMTAG_PROVIDENAME", RPMTAG_PROVIDENAME }, /* s[] */
	{ "RPMTAG_PROVIDES", RPMTAG_PROVIDES }, /* s[] */
	{ "RPMTAG_P", RPMTAG_P }, /* s[] */
	{ "RPMTAG_REQUIREFLAGS", RPMTAG_REQUIREFLAGS }, /* i[] */
	{ "RPMTAG_REQUIRENAME", RPMTAG_REQUIRENAME }, /* s[] */
	{ "RPMTAG_REQUIRES", RPMTAG_REQUIRES }, /* s[] */
	{ "RPMTAG_REQUIREVERSION", RPMTAG_REQUIREVERSION }, /* s[] */
	{ "RPMTAG_NOSOURCE", RPMTAG_NOSOURCE }, /* i[] */
	{ "RPMTAG_NOPATCH", RPMTAG_NOPATCH }, /* i[] */
	{ "RPMTAG_CONFLICTFLAGS", RPMTAG_CONFLICTFLAGS }, /* i[] */
	{ "RPMTAG_CONFLICTNAME", RPMTAG_CONFLICTNAME }, /* s[] */
	{ "RPMTAG_CONFLICTS", RPMTAG_CONFLICTS }, /* s[] */
	{ "RPMTAG_C", RPMTAG_C }, /* s[] */
	{ "RPMTAG_CONFLICTVERSION", RPMTAG_CONFLICTVERSION }, /* s[] */
	{ "RPMTAG_DEFAULTPREFIX", RPMTAG_DEFAULTPREFIX }, /* s internal - deprecated */
	{ "RPMTAG_BUILDROOT", RPMTAG_BUILDROOT }, /* s internal - obsolete */
	{ "RPMTAG_INSTALLPREFIX", RPMTAG_INSTALLPREFIX }, /* s internal - deprecated */
	{ "RPMTAG_EXCLUDEARCH", RPMTAG_EXCLUDEARCH }, /* s[] */
	{ "RPMTAG_EXCLUDEOS", RPMTAG_EXCLUDEOS }, /* s[] */
	{ "RPMTAG_EXCLUSIVEARCH", RPMTAG_EXCLUSIVEARCH }, /* s[] */
	{ "RPMTAG_EXCLUSIVEOS", RPMTAG_EXCLUSIVEOS }, /* s[] */
	{ "RPMTAG_AUTOREQPROV", RPMTAG_AUTOREQPROV }, /* s internal */
	{ "RPMTAG_RPMVERSION", RPMTAG_RPMVERSION }, /* s */
	{ "RPMTAG_TRIGGERSCRIPTS", RPMTAG_TRIGGERSCRIPTS }, /* s[] */
	{ "RPMTAG_TRIGGERNAME", RPMTAG_TRIGGERNAME }, /* s[] */
	{ "RPMTAG_TRIGGERVERSION", RPMTAG_TRIGGERVERSION }, /* s[] */
	{ "RPMTAG_TRIGGERFLAGS", RPMTAG_TRIGGERFLAGS }, /* i[] */
	{ "RPMTAG_TRIGGERINDEX", RPMTAG_TRIGGERINDEX }, /* i[] */
	{ "RPMTAG_VERIFYSCRIPT", RPMTAG_VERIFYSCRIPT }, /* s */
	{ "RPMTAG_CHANGELOGTIME", RPMTAG_CHANGELOGTIME }, /* i[] */
	{ "RPMTAG_CHANGELOGNAME", RPMTAG_CHANGELOGNAME }, /* s[] */
	{ "RPMTAG_CHANGELOGTEXT", RPMTAG_CHANGELOGTEXT }, /* s[] */
	{ "RPMTAG_BROKENMD5", RPMTAG_BROKENMD5 }, /* internal - obsolete */
	{ "RPMTAG_PREREQ", RPMTAG_PREREQ }, /* internal */
	{ "RPMTAG_PREINPROG", RPMTAG_PREINPROG }, /* s[] */
	{ "RPMTAG_POSTINPROG", RPMTAG_POSTINPROG }, /* s[] */
	{ "RPMTAG_PREUNPROG", RPMTAG_PREUNPROG }, /* s[] */
	{ "RPMTAG_POSTUNPROG", RPMTAG_POSTUNPROG }, /* s[] */
	{ "RPMTAG_BUILDARCHS", RPMTAG_BUILDARCHS }, /* s[] */
	{ "RPMTAG_OBSOLETENAME", RPMTAG_OBSOLETENAME }, /* s[] */
	{ "RPMTAG_OBSOLETES", RPMTAG_OBSOLETES }, /* s[] */
	{ "RPMTAG_O", RPMTAG_O }, /* s[] */
	{ "RPMTAG_VERIFYSCRIPTPROG", RPMTAG_VERIFYSCRIPTPROG }, /* s[] */
	{ "RPMTAG_TRIGGERSCRIPTPROG", RPMTAG_TRIGGERSCRIPTPROG }, /* s[] */
	{ "RPMTAG_DOCDIR", RPMTAG_DOCDIR }, /* internal */
	{ "RPMTAG_COOKIE", RPMTAG_COOKIE }, /* s */
	{ "RPMTAG_FILEDEVICES", RPMTAG_FILEDEVICES }, /* i[] */
	{ "RPMTAG_FILEINODES", RPMTAG_FILEINODES }, /* i[] */
	{ "RPMTAG_FILELANGS", RPMTAG_FILELANGS }, /* s[] */
	{ "RPMTAG_PREFIXES", RPMTAG_PREFIXES }, /* s[] */
	{ "RPMTAG_INSTPREFIXES", RPMTAG_INSTPREFIXES }, /* s[] */
	{ "RPMTAG_TRIGGERIN", RPMTAG_TRIGGERIN }, /* internal */
	{ "RPMTAG_TRIGGERUN", RPMTAG_TRIGGERUN }, /* internal */
	{ "RPMTAG_TRIGGERPOSTUN", RPMTAG_TRIGGERPOSTUN }, /* internal */
	{ "RPMTAG_AUTOREQ", RPMTAG_AUTOREQ }, /* internal */
	{ "RPMTAG_AUTOPROV", RPMTAG_AUTOPROV }, /* internal */
	{ "RPMTAG_CAPABILITY", RPMTAG_CAPABILITY }, /* i internal - obsolete */
	{ "RPMTAG_SOURCEPACKAGE", RPMTAG_SOURCEPACKAGE }, /* i */
	{ "RPMTAG_OLDORIGFILENAMES", RPMTAG_OLDORIGFILENAMES }, /* internal - obsolete */
	{ "RPMTAG_BUILDPREREQ", RPMTAG_BUILDPREREQ }, /* internal */
	{ "RPMTAG_BUILDREQUIRES", RPMTAG_BUILDREQUIRES }, /* internal */
	{ "RPMTAG_BUILDCONFLICTS", RPMTAG_BUILDCONFLICTS }, /* internal */
	{ "RPMTAG_BUILDMACROS", RPMTAG_BUILDMACROS }, /* internal - unused */
	{ "RPMTAG_PROVIDEFLAGS", RPMTAG_PROVIDEFLAGS }, /* i[] */
	{ "RPMTAG_PROVIDEVERSION", RPMTAG_PROVIDEVERSION }, /* s[] */
	{ "RPMTAG_OBSOLETEFLAGS", RPMTAG_OBSOLETEFLAGS }, /* i[] */
	{ "RPMTAG_OBSOLETEVERSION", RPMTAG_OBSOLETEVERSION }, /* s[] */
	{ "RPMTAG_DIRINDEXES", RPMTAG_DIRINDEXES }, /* i[] */
	{ "RPMTAG_BASENAMES", RPMTAG_BASENAMES }, /* s[] */
	{ "RPMTAG_DIRNAMES", RPMTAG_DIRNAMES }, /* s[] */
	{ "RPMTAG_ORIGDIRINDEXES", RPMTAG_ORIGDIRINDEXES }, /* i[] relocation */
	{ "RPMTAG_ORIGBASENAMES", RPMTAG_ORIGBASENAMES }, /* s[] relocation */
	{ "RPMTAG_ORIGDIRNAMES", RPMTAG_ORIGDIRNAMES }, /* s[] relocation */
	{ "RPMTAG_OPTFLAGS", RPMTAG_OPTFLAGS }, /* s */
	{ "RPMTAG_DISTURL", RPMTAG_DISTURL }, /* s */
	{ "RPMTAG_PAYLOADFORMAT", RPMTAG_PAYLOADFORMAT }, /* s */
	{ "RPMTAG_PAYLOADCOMPRESSOR", RPMTAG_PAYLOADCOMPRESSOR }, /* s */
	{ "RPMTAG_PAYLOADFLAGS", RPMTAG_PAYLOADFLAGS }, /* s */
	{ "RPMTAG_INSTALLCOLOR", RPMTAG_INSTALLCOLOR }, /* i transaction color when installed */
	{ "RPMTAG_INSTALLTID", RPMTAG_INSTALLTID }, /* i */
	{ "RPMTAG_REMOVETID", RPMTAG_REMOVETID }, /* i */
	{ "RPMTAG_SHA1RHN", RPMTAG_SHA1RHN }, /* internal - obsolete */
	{ "RPMTAG_RHNPLATFORM", RPMTAG_RHNPLATFORM }, /* s internal - obsolete */
	{ "RPMTAG_PLATFORM", RPMTAG_PLATFORM }, /* s */
	{ "RPMTAG_PATCHESNAME", RPMTAG_PATCHESNAME }, /* s[] deprecated placeholder (SuSE) */
	{ "RPMTAG_PATCHESFLAGS", RPMTAG_PATCHESFLAGS }, /* i[] deprecated placeholder (SuSE) */
	{ "RPMTAG_PATCHESVERSION", RPMTAG_PATCHESVERSION }, /* s[] deprecated placeholder (SuSE) */
	{ "RPMTAG_CACHECTIME", RPMTAG_CACHECTIME }, /* i internal - obsolete */
	{ "RPMTAG_CACHEPKGPATH", RPMTAG_CACHEPKGPATH }, /* s internal - obsolete */
	{ "RPMTAG_CACHEPKGSIZE", RPMTAG_CACHEPKGSIZE }, /* i internal - obsolete */
	{ "RPMTAG_CACHEPKGMTIME", RPMTAG_CACHEPKGMTIME }, /* i internal - obsolete */
	{ "RPMTAG_FILECOLORS", RPMTAG_FILECOLORS }, /* i[] */
	{ "RPMTAG_FILECLASS", RPMTAG_FILECLASS }, /* i[] */
	{ "RPMTAG_CLASSDICT", RPMTAG_CLASSDICT }, /* s[] */
	{ "RPMTAG_FILEDEPENDSX", RPMTAG_FILEDEPENDSX }, /* i[] */
	{ "RPMTAG_FILEDEPENDSN", RPMTAG_FILEDEPENDSN }, /* i[] */
	{ "RPMTAG_DEPENDSDICT", RPMTAG_DEPENDSDICT }, /* i[] */
	{ "RPMTAG_SOURCEPKGID", RPMTAG_SOURCEPKGID }, /* x */
	{ "RPMTAG_FILECONTEXTS", RPMTAG_FILECONTEXTS }, /* s[] - obsolete */
	{ "RPMTAG_FSCONTEXTS", RPMTAG_FSCONTEXTS }, /* s[] extension */
	{ "RPMTAG_RECONTEXTS", RPMTAG_RECONTEXTS }, /* s[] extension */
	{ "RPMTAG_POLICIES", RPMTAG_POLICIES }, /* s[] selinux *.te policy file. */
	{ "RPMTAG_PRETRANS", RPMTAG_PRETRANS }, /* s */
	{ "RPMTAG_POSTTRANS", RPMTAG_POSTTRANS }, /* s */
	{ "RPMTAG_PRETRANSPROG", RPMTAG_PRETRANSPROG }, /* s[] */
	{ "RPMTAG_POSTTRANSPROG", RPMTAG_POSTTRANSPROG }, /* s[] */
	{ "RPMTAG_DISTTAG", RPMTAG_DISTTAG }, /* s */
	{ "RPMTAG_OLDSUGGESTSNAME", RPMTAG_OLDSUGGESTSNAME }, /* s[] - obsolete */
	{ "RPMTAG_OLDSUGGESTS", RPMTAG_OLDSUGGESTS }, /* s[] - obsolete */
	{ "RPMTAG_OLDSUGGESTSVERSION", RPMTAG_OLDSUGGESTSVERSION }, /* s[] - obsolete */
	{ "RPMTAG_OLDSUGGESTSFLAGS", RPMTAG_OLDSUGGESTSFLAGS }, /* i[] - obsolete */
	{ "RPMTAG_OLDENHANCESNAME", RPMTAG_OLDENHANCESNAME }, /* s[] - obsolete */
	{ "RPMTAG_OLDENHANCES", RPMTAG_OLDENHANCES }, /* s[] - obsolete */
	{ "RPMTAG_OLDENHANCESVERSION", RPMTAG_OLDENHANCESVERSION }, /* s[] - obsolete */
	{ "RPMTAG_OLDENHANCESFLAGS", RPMTAG_OLDENHANCESFLAGS }, /* i[] - obsolete */
	{ "RPMTAG_PRIORITY", RPMTAG_PRIORITY }, /* i[] extension placeholder (unimplemented) */
	{ "RPMTAG_CVSID", RPMTAG_CVSID }, /* s (unimplemented) */
	{ "RPMTAG_SVNID", RPMTAG_SVNID }, /* s (unimplemented) */
	{ "RPMTAG_BLINKPKGID", RPMTAG_BLINKPKGID }, /* s[] (unimplemented) */
	{ "RPMTAG_BLINKHDRID", RPMTAG_BLINKHDRID }, /* s[] (unimplemented) */
	{ "RPMTAG_BLINKNEVRA", RPMTAG_BLINKNEVRA }, /* s[] (unimplemented) */
	{ "RPMTAG_FLINKPKGID", RPMTAG_FLINKPKGID }, /* s[] (unimplemented) */
	{ "RPMTAG_FLINKHDRID", RPMTAG_FLINKHDRID }, /* s[] (unimplemented) */
	{ "RPMTAG_FLINKNEVRA", RPMTAG_FLINKNEVRA }, /* s[] (unimplemented) */
	{ "RPMTAG_PACKAGEORIGIN", RPMTAG_PACKAGEORIGIN }, /* s (unimplemented) */
	{ "RPMTAG_TRIGGERPREIN", RPMTAG_TRIGGERPREIN }, /* internal */
	{ "RPMTAG_BUILDSUGGESTS", RPMTAG_BUILDSUGGESTS }, /* internal (unimplemented) */
	{ "RPMTAG_BUILDENHANCES", RPMTAG_BUILDENHANCES }, /* internal (unimplemented) */
	{ "RPMTAG_SCRIPTSTATES", RPMTAG_SCRIPTSTATES }, /* i[] scriptlet exit codes (unimplemented) */
	{ "RPMTAG_SCRIPTMETRICS", RPMTAG_SCRIPTMETRICS }, /* i[] scriptlet execution times (unimplemented) */
	{ "RPMTAG_BUILDCPUCLOCK", RPMTAG_BUILDCPUCLOCK }, /* i (unimplemented) */
	{ "RPMTAG_FILEDIGESTALGOS", RPMTAG_FILEDIGESTALGOS }, /* i[] (unimplemented) */
	{ "RPMTAG_VARIANTS", RPMTAG_VARIANTS }, /* s[] (unimplemented) */
	{ "RPMTAG_XMAJOR", RPMTAG_XMAJOR }, /* i (unimplemented) */
	{ "RPMTAG_XMINOR", RPMTAG_XMINOR }, /* i (unimplemented) */
	{ "RPMTAG_REPOTAG", RPMTAG_REPOTAG }, /* s (unimplemented) */
	{ "RPMTAG_KEYWORDS", RPMTAG_KEYWORDS }, /* s[] (unimplemented) */
	{ "RPMTAG_BUILDPLATFORMS", RPMTAG_BUILDPLATFORMS }, /* s[] (unimplemented) */
	{ "RPMTAG_PACKAGECOLOR", RPMTAG_PACKAGECOLOR }, /* i (unimplemented) */
	{ "RPMTAG_PACKAGEPREFCOLOR", RPMTAG_PACKAGEPREFCOLOR }, /* i (unimplemented) */
	{ "RPMTAG_XATTRSDICT", RPMTAG_XATTRSDICT }, /* s[] (unimplemented) */
	{ "RPMTAG_FILEXATTRSX", RPMTAG_FILEXATTRSX }, /* i[] (unimplemented) */
	{ "RPMTAG_DEPATTRSDICT", RPMTAG_DEPATTRSDICT }, /* s[] (unimplemented) */
	{ "RPMTAG_CONFLICTATTRSX", RPMTAG_CONFLICTATTRSX }, /* i[] (unimplemented) */
	{ "RPMTAG_OBSOLETEATTRSX", RPMTAG_OBSOLETEATTRSX }, /* i[] (unimplemented) */
	{ "RPMTAG_PROVIDEATTRSX", RPMTAG_PROVIDEATTRSX }, /* i[] (unimplemented) */
	{ "RPMTAG_REQUIREATTRSX", RPMTAG_REQUIREATTRSX }, /* i[] (unimplemented) */
	{ "RPMTAG_BUILDPROVIDES", RPMTAG_BUILDPROVIDES }, /* internal (unimplemented) */
	{ "RPMTAG_BUILDOBSOLETES", RPMTAG_BUILDOBSOLETES }, /* internal (unimplemented) */
	{ "RPMTAG_DBINSTANCE", RPMTAG_DBINSTANCE }, /* i extension */
	{ "RPMTAG_NVRA", RPMTAG_NVRA }, /* s extension */
	{ "RPMTAG_FILENAMES", RPMTAG_FILENAMES }, /* s[] extension */
	{ "RPMTAG_FILEPROVIDE", RPMTAG_FILEPROVIDE }, /* s[] extension */
	{ "RPMTAG_FILEREQUIRE", RPMTAG_FILEREQUIRE }, /* s[] extension */
	{ "RPMTAG_FSNAMES", RPMTAG_FSNAMES }, /* s[] (unimplemented) */
	{ "RPMTAG_FSSIZES", RPMTAG_FSSIZES }, /* l[] (unimplemented) */
	{ "RPMTAG_TRIGGERCONDS", RPMTAG_TRIGGERCONDS }, /* s[] extension */
	{ "RPMTAG_TRIGGERTYPE", RPMTAG_TRIGGERTYPE }, /* s[] extension */
	{ "RPMTAG_ORIGFILENAMES", RPMTAG_ORIGFILENAMES }, /* s[] extension */
	{ "RPMTAG_LONGFILESIZES", RPMTAG_LONGFILESIZES }, /* l[] */
	{ "RPMTAG_LONGSIZE", RPMTAG_LONGSIZE }, /* l */
	{ "RPMTAG_FILECAPS", RPMTAG_FILECAPS }, /* s[] */
	{ "RPMTAG_FILEDIGESTALGO", RPMTAG_FILEDIGESTALGO }, /* i file digest algorithm */
	{ "RPMTAG_BUGURL", RPMTAG_BUGURL }, /* s */
	{ "RPMTAG_EVR", RPMTAG_EVR }, /* s extension */
	{ "RPMTAG_NVR", RPMTAG_NVR }, /* s extension */
	{ "RPMTAG_NEVR", RPMTAG_NEVR }, /* s extension */
	{ "RPMTAG_NEVRA", RPMTAG_NEVRA }, /* s extension */
	{ "RPMTAG_HEADERCOLOR", RPMTAG_HEADERCOLOR }, /* i extension */
	{ "RPMTAG_VERBOSE", RPMTAG_VERBOSE }, /* i extension */
	{ "RPMTAG_EPOCHNUM", RPMTAG_EPOCHNUM }, /* i extension */
	{ "RPMTAG_PREINFLAGS", RPMTAG_PREINFLAGS }, /* i */
	{ "RPMTAG_POSTINFLAGS", RPMTAG_POSTINFLAGS }, /* i */
	{ "RPMTAG_PREUNFLAGS", RPMTAG_PREUNFLAGS }, /* i */
	{ "RPMTAG_POSTUNFLAGS", RPMTAG_POSTUNFLAGS }, /* i */
	{ "RPMTAG_PRETRANSFLAGS", RPMTAG_PRETRANSFLAGS }, /* i */
	{ "RPMTAG_POSTTRANSFLAGS", RPMTAG_POSTTRANSFLAGS }, /* i */
	{ "RPMTAG_VERIFYSCRIPTFLAGS", RPMTAG_VERIFYSCRIPTFLAGS }, /* i */
	{ "RPMTAG_TRIGGERSCRIPTFLAGS", RPMTAG_TRIGGERSCRIPTFLAGS }, /* i[] */
	{ "RPMTAG_COLLECTIONS", RPMTAG_COLLECTIONS }, /* s[] list of collections (unimplemented) */
	{ "RPMTAG_POLICYNAMES", RPMTAG_POLICYNAMES }, /* s[] */
	{ "RPMTAG_POLICYTYPES", RPMTAG_POLICYTYPES }, /* s[] */
	{ "RPMTAG_POLICYTYPESINDEXES", RPMTAG_POLICYTYPESINDEXES }, /* i[] */
	{ "RPMTAG_POLICYFLAGS", RPMTAG_POLICYFLAGS }, /* i[] */
	{ "RPMTAG_VCS", RPMTAG_VCS }, /* s */
	{ "RPMTAG_ORDERNAME", RPMTAG_ORDERNAME }, /* s[] */
	{ "RPMTAG_ORDERVERSION", RPMTAG_ORDERVERSION }, /* s[] */
	{ "RPMTAG_ORDERFLAGS", RPMTAG_ORDERFLAGS }, /* i[] */
	{ "RPMTAG_MSSFMANIFEST", RPMTAG_MSSFMANIFEST }, /* s[] reservation (unimplemented) */
	{ "RPMTAG_MSSFDOMAIN", RPMTAG_MSSFDOMAIN }, /* s[] reservation (unimplemented) */
	{ "RPMTAG_INSTFILENAMES", RPMTAG_INSTFILENAMES }, /* s[] extension */
	{ "RPMTAG_REQUIRENEVRS", RPMTAG_REQUIRENEVRS }, /* s[] extension */
	{ "RPMTAG_PROVIDENEVRS", RPMTAG_PROVIDENEVRS }, /* s[] extension */
	{ "RPMTAG_OBSOLETENEVRS", RPMTAG_OBSOLETENEVRS }, /* s[] extension */
	{ "RPMTAG_CONFLICTNEVRS", RPMTAG_CONFLICTNEVRS }, /* s[] extension */
	{ "RPMTAG_FILENLINKS", RPMTAG_FILENLINKS }, /* i[] extension */
	{ "RPMTAG_RECOMMENDNAME", RPMTAG_RECOMMENDNAME }, /* s[] */
	{ "RPMTAG_RECOMMENDS", RPMTAG_RECOMMENDS }, /* s[] */
	{ "RPMTAG_RECOMMENDVERSION", RPMTAG_RECOMMENDVERSION }, /* s[] */
	{ "RPMTAG_RECOMMENDFLAGS", RPMTAG_RECOMMENDFLAGS }, /* i[] */
	{ "RPMTAG_SUGGESTNAME", RPMTAG_SUGGESTNAME }, /* s[] */
	{ "RPMTAG_SUGGESTS", RPMTAG_SUGGESTS }, /* s[] */
	{ "RPMTAG_SUGGESTVERSION", RPMTAG_SUGGESTVERSION }, /* s[] extension */
	{ "RPMTAG_SUGGESTFLAGS", RPMTAG_SUGGESTFLAGS }, /* i[] extension */
	{ "RPMTAG_SUPPLEMENTNAME", RPMTAG_SUPPLEMENTNAME }, /* s[] */
	{ "RPMTAG_SUPPLEMENTS", RPMTAG_SUPPLEMENTS }, /* s[] */
	{ "RPMTAG_SUPPLEMENTVERSION", RPMTAG_SUPPLEMENTVERSION }, /* s[] */
	{ "RPMTAG_SUPPLEMENTFLAGS", RPMTAG_SUPPLEMENTFLAGS }, /* i[] */
	{ "RPMTAG_ENHANCENAME", RPMTAG_ENHANCENAME }, /* s[] */
	{ "RPMTAG_ENHANCES", RPMTAG_ENHANCES }, /* s[] */
	{ "RPMTAG_ENHANCEVERSION", RPMTAG_ENHANCEVERSION }, /* s[] */
	{ "RPMTAG_ENHANCEFLAGS", RPMTAG_ENHANCEFLAGS }, /* i[] */
	{ "RPMTAG_RECOMMENDNEVRS", RPMTAG_RECOMMENDNEVRS }, /* s[] extension */
	{ "RPMTAG_SUGGESTNEVRS", RPMTAG_SUGGESTNEVRS }, /* s[] extension */
	{ "RPMTAG_SUPPLEMENTNEVRS", RPMTAG_SUPPLEMENTNEVRS }, /* s[] extension */
	{ "RPMTAG_ENHANCENEVRS", RPMTAG_ENHANCENEVRS }, /* s[] extension */
	{ "RPMTAG_ENCODING", RPMTAG_ENCODING }, /* s */
	{ "RPMTAG_FILETRIGGERIN", RPMTAG_FILETRIGGERIN }, /* internal */
	{ "RPMTAG_FILETRIGGERUN", RPMTAG_FILETRIGGERUN }, /* internal */
	{ "RPMTAG_FILETRIGGERPOSTUN", RPMTAG_FILETRIGGERPOSTUN }, /* internal */
	{ "RPMTAG_FILETRIGGERSCRIPTS", RPMTAG_FILETRIGGERSCRIPTS }, /* s[] */
	{ "RPMTAG_FILETRIGGERSCRIPTPROG", RPMTAG_FILETRIGGERSCRIPTPROG }, /* s[] */
	{ "RPMTAG_FILETRIGGERSCRIPTFLAGS", RPMTAG_FILETRIGGERSCRIPTFLAGS }, /* i[] */
	{ "RPMTAG_FILETRIGGERNAME", RPMTAG_FILETRIGGERNAME }, /* s[] */
	{ "RPMTAG_FILETRIGGERINDEX", RPMTAG_FILETRIGGERINDEX }, /* i[] */
	{ "RPMTAG_FILETRIGGERVERSION", RPMTAG_FILETRIGGERVERSION }, /* s[] */
	{ "RPMTAG_FILETRIGGERFLAGS", RPMTAG_FILETRIGGERFLAGS }, /* i[] */
	{ "RPMTAG_TRANSFILETRIGGERIN", RPMTAG_TRANSFILETRIGGERIN }, /* internal */
	{ "RPMTAG_TRANSFILETRIGGERUN", RPMTAG_TRANSFILETRIGGERUN }, /* internal */
	{ "RPMTAG_TRANSFILETRIGGERPOSTUN", RPMTAG_TRANSFILETRIGGERPOSTUN }, /* internal */
	{ "RPMTAG_TRANSFILETRIGGERSCRIPTS", RPMTAG_TRANSFILETRIGGERSCRIPTS }, /* s[] */
	{ "RPMTAG_TRANSFILETRIGGERSCRIPTPROG", RPMTAG_TRANSFILETRIGGERSCRIPTPROG }, /* s[] */
	{ "RPMTAG_TRANSFILETRIGGERSCRIPTFLAGS", RPMTAG_TRANSFILETRIGGERSCRIPTFLAGS }, /* i[] */
	{ "RPMTAG_TRANSFILETRIGGERNAME", RPMTAG_TRANSFILETRIGGERNAME }, /* s[] */
	{ "RPMTAG_TRANSFILETRIGGERINDEX", RPMTAG_TRANSFILETRIGGERINDEX }, /* i[] */
	{ "RPMTAG_TRANSFILETRIGGERVERSION", RPMTAG_TRANSFILETRIGGERVERSION }, /* s[] */
	{ "RPMTAG_TRANSFILETRIGGERFLAGS", RPMTAG_TRANSFILETRIGGERFLAGS }, /* i[] */
	{ "RPMTAG_REMOVEPATHPOSTFIXES", RPMTAG_REMOVEPATHPOSTFIXES }, /* s internal */
	{ "RPMTAG_FILETRIGGERPRIORITIES", RPMTAG_FILETRIGGERPRIORITIES }, /* i[] */
	{ "RPMTAG_TRANSFILETRIGGERPRIORITIES", RPMTAG_TRANSFILETRIGGERPRIORITIES }, /* i[] */
	{ "RPMTAG_FILETRIGGERCONDS", RPMTAG_FILETRIGGERCONDS }, /* s[] extension */
	{ "RPMTAG_FILETRIGGERTYPE", RPMTAG_FILETRIGGERTYPE }, /* s[] extension */
	{ "RPMTAG_TRANSFILETRIGGERCONDS", RPMTAG_TRANSFILETRIGGERCONDS }, /* s[] extension */
	{ "RPMTAG_TRANSFILETRIGGERTYPE", RPMTAG_TRANSFILETRIGGERTYPE }, /* s[] extension */
	{ "RPMTAG_FILESIGNATURES", RPMTAG_FILESIGNATURES }, /* s[] */
	{ "RPMTAG_FILESIGNATURELENGTH", RPMTAG_FILESIGNATURELENGTH }, /* i */
	{ "RPMTAG_AUTOINSTALLED", RPMTAG_AUTOINSTALLED }, /* i */
	{ "RPMTAG_IDENTITY", RPMTAG_IDENTITY }, /* s */
	{ "RPMTAG_APTINDEXLEGACYFILENAME", RPMTAG_APTINDEXLEGACYFILENAME }, /* s */
	{ "RPMTAG_APTINDEXLEGACYFILESIZE", RPMTAG_APTINDEXLEGACYFILESIZE }, /* i */
	{ "RPMTAG_APTINDEXLEGACYMD5", RPMTAG_APTINDEXLEGACYMD5 }, /* s */
	{ "RPMTAG_APTINDEXLEGACYSHA1", RPMTAG_APTINDEXLEGACYSHA1 }, /* s */
	{ "RPMTAG_APTINDEXLEGACYSHA256", RPMTAG_APTINDEXLEGACYSHA256 }, /* s */
	{ "RPMTAG_APTINDEXLEGACYSHA512", RPMTAG_APTINDEXLEGACYSHA512 }, /* s */
	{ "RPMTAG_APTINDEXLEGACYDIRECTORY", RPMTAG_APTINDEXLEGACYDIRECTORY }, /* s */
	{ "RPMTAG_APTINDEXLEGACYBINARY", RPMTAG_APTINDEXLEGACYBINARY }, /* s[] */
	{ "RPMTAG_APTINDEXLEGACYUPDATE_SUMMARY", RPMTAG_APTINDEXLEGACYUPDATE_SUMMARY }, /* s */
	{ "RPMTAG_APTINDEXLEGACYUPDATE_IMPORTANCE", RPMTAG_APTINDEXLEGACYUPDATE_IMPORTANCE }, /* s */
	{ "RPMTAG_APTINDEXLEGACYUPDATE_DATE", RPMTAG_APTINDEXLEGACYUPDATE_DATE }, /* s */
	{ "RPMTAG_APTINDEXLEGACYUPDATE_URL", RPMTAG_APTINDEXLEGACYUPDATE_URL }, /* s */
	{ "RPMTAG_FIRSTFREE_TAG", RPMTAG_FIRSTFREE_TAG }, /*!< internal */
	{ "RPMTAG_EXTERNAL_TAG", RPMTAG_EXTERNAL_TAG }, 
#endif /* _RPMTAG_H */
	{ NULL, 0 } /* NULL terminated (rpmTag) */
};
const struct rpmconstant_s * rpmTagctable = rpmTagctbl;


/* From rpmtag.h
 * prefix tag: RPMSIGTAG_
 * table: rpmtagSignature */
static const struct rpmconstant_s rpmtagSignaturectbl[] = {
#ifdef _RPMTAG_H
	{ "RPMSIGTAG_SIZE", RPMSIGTAG_SIZE }, /*!< internal Header+Payload size (32bit) in bytes. */
	{ "RPMSIGTAG_LEMD5_1", RPMSIGTAG_LEMD5_1 }, /*!< internal Broken MD5, take 1 @deprecated legacy. */
	{ "RPMSIGTAG_PGP", RPMSIGTAG_PGP }, /*!< internal PGP 2.6.3 signature. */
	{ "RPMSIGTAG_LEMD5_2", RPMSIGTAG_LEMD5_2 }, /*!< internal Broken MD5, take 2 @deprecated legacy. */
	{ "RPMSIGTAG_MD5", RPMSIGTAG_MD5 }, /*!< internal MD5 signature. */
	{ "RPMSIGTAG_GPG", RPMSIGTAG_GPG }, /*!< internal GnuPG signature. */
	{ "RPMSIGTAG_PGP5", RPMSIGTAG_PGP5 }, /*!< internal PGP5 signature @deprecated legacy. */
	{ "RPMSIGTAG_PAYLOADSIZE", RPMSIGTAG_PAYLOADSIZE }, /*!< internal uncompressed payload size (32bit) in bytes. */
	{ "RPMSIGTAG_RESERVEDSPACE", RPMSIGTAG_RESERVEDSPACE }, /*!< internal space reserved for signatures */
	{ "RPMSIGTAG_BADSHA1_1", RPMSIGTAG_BADSHA1_1 }, /*!< internal Broken SHA1, take 1. */
	{ "RPMSIGTAG_BADSHA1_2", RPMSIGTAG_BADSHA1_2 }, /*!< internal Broken SHA1, take 2. */
	{ "RPMSIGTAG_SHA1", RPMSIGTAG_SHA1 }, /*!< internal sha1 header digest. */
	{ "RPMSIGTAG_DSA", RPMSIGTAG_DSA }, /*!< internal DSA header signature. */
	{ "RPMSIGTAG_RSA", RPMSIGTAG_RSA }, /*!< internal RSA header signature. */
	{ "RPMSIGTAG_LONGSIZE", RPMSIGTAG_LONGSIZE }, /*!< internal Header+Payload size (64bit) in bytes. */
	{ "RPMSIGTAG_LONGARCHIVESIZE", RPMSIGTAG_LONGARCHIVESIZE }, /*!< internal uncompressed payload size (64bit) in bytes. */
#endif /* _RPMTAG_H */
	{ NULL, 0 } /* NULL terminated (rpmtagSignature) */
};
const struct rpmconstant_s * rpmtagSignaturectable = rpmtagSignaturectbl;


/* From rpmtag.h
 * prefix tag: RPMDBI_
 * table: rpmdbi */
static const struct rpmconstant_s rpmdbictbl[] = {
#ifdef _RPMTAG_H
	{ "RPMDBI_PACKAGES", RPMDBI_PACKAGES }, /* Installed package headers. */
	{ "RPMDBI_LABEL", RPMDBI_LABEL }, /* NEVRA label pseudo index */
	{ "RPMDBI_NAME", RPMDBI_NAME }, 
	{ "RPMDBI_BASENAMES", RPMDBI_BASENAMES }, 
	{ "RPMDBI_GROUP", RPMDBI_GROUP }, 
	{ "RPMDBI_REQUIRENAME", RPMDBI_REQUIRENAME }, 
	{ "RPMDBI_PROVIDENAME", RPMDBI_PROVIDENAME }, 
	{ "RPMDBI_CONFLICTNAME", RPMDBI_CONFLICTNAME }, 
	{ "RPMDBI_OBSOLETENAME", RPMDBI_OBSOLETENAME }, 
	{ "RPMDBI_TRIGGERNAME", RPMDBI_TRIGGERNAME }, 
	{ "RPMDBI_DIRNAMES", RPMDBI_DIRNAMES }, 
	{ "RPMDBI_INSTALLTID", RPMDBI_INSTALLTID }, 
	{ "RPMDBI_SIGMD5", RPMDBI_SIGMD5 }, 
	{ "RPMDBI_SHA1HEADER", RPMDBI_SHA1HEADER }, 
	{ "RPMDBI_INSTFILENAMES", RPMDBI_INSTFILENAMES }, 
	{ "RPMDBI_FILETRIGGERNAME", RPMDBI_FILETRIGGERNAME }, 
	{ "RPMDBI_TRANSFILETRIGGERNAME", RPMDBI_TRANSFILETRIGGERNAME }, 
	{ "RPMDBI_RECOMMENDNAME", RPMDBI_RECOMMENDNAME }, 
	{ "RPMDBI_SUGGESTNAME", RPMDBI_SUGGESTNAME }, 
	{ "RPMDBI_SUPPLEMENTNAME", RPMDBI_SUPPLEMENTNAME }, 
	{ "RPMDBI_ENHANCENAME", RPMDBI_ENHANCENAME }, 
#endif /* _RPMTAG_H */
	{ NULL, 0 } /* NULL terminated (rpmdbi) */
};
const struct rpmconstant_s * rpmdbictable = rpmdbictbl;


/* From rpmte.h
 * prefix tag: TR_
 * table: rpmElementType */
static const struct rpmconstant_s rpmElementTypectbl[] = {
#ifdef H_RPMTE
	{ "TR_ADDED", TR_ADDED }, 
	{ "TR_REMOVED", TR_REMOVED }, 
#endif /* H_RPMTE */
	{ NULL, 0 } /* NULL terminated (rpmElementType) */
};
const struct rpmconstant_s * rpmElementTypectable = rpmElementTypectbl;


/* From rpmts.h
 * prefix tag: RPMVSF_
 * table: rpmvsflags */
static const struct rpmconstant_s rpmvsflagsctbl[] = {
#ifdef H_RPMTS
	{ "RPMVSF_DEFAULT", RPMVSF_DEFAULT }, 
	{ "RPMVSF_NOHDRCHK", RPMVSF_NOHDRCHK }, 
	{ "RPMVSF_NEEDPAYLOAD", RPMVSF_NEEDPAYLOAD }, 
	{ "RPMVSF_NOSHA1HEADER", RPMVSF_NOSHA1HEADER }, 
	{ "RPMVSF_NOMD5HEADER", RPMVSF_NOMD5HEADER }, 
	{ "RPMVSF_NODSAHEADER", RPMVSF_NODSAHEADER }, 
	{ "RPMVSF_NORSAHEADER", RPMVSF_NORSAHEADER }, 
	{ "RPMVSF_NOSHA1", RPMVSF_NOSHA1 }, 
	{ "RPMVSF_NOMD5", RPMVSF_NOMD5 }, 
	{ "RPMVSF_NODSA", RPMVSF_NODSA }, 
	{ "RPMVSF_NORSA", RPMVSF_NORSA }, 
	{ "RPMVSF_NODIGESTS", _RPMVSF_NODIGESTS }, 
	{ "RPMVSF_NOSIGNATURES", _RPMVSF_NOSIGNATURES }, 
	{ "RPMVSF_NOHEADER", _RPMVSF_NOHEADER }, 
	{ "RPMVSF_NOPAYLOAD", _RPMVSF_NOPAYLOAD }, 
#endif /* H_RPMTS */
	{ NULL, 0 } /* NULL terminated (rpmvsflags) */
};
const struct rpmconstant_s * rpmvsflagsctable = rpmvsflagsctbl;


/* From rpmts.h
 * prefix tag: RPMTRANS_FLAG_
 * table: rpmtransFlags */
static const struct rpmconstant_s rpmtransFlagsctbl[] = {
#ifdef H_RPMTS
	{ "RPMTRANS_FLAG_NONE", RPMTRANS_FLAG_NONE }, 
	{ "RPMTRANS_FLAG_TEST", RPMTRANS_FLAG_TEST }, 
	{ "RPMTRANS_FLAG_BUILD_PROBS", RPMTRANS_FLAG_BUILD_PROBS }, 
	{ "RPMTRANS_FLAG_NOSCRIPTS", RPMTRANS_FLAG_NOSCRIPTS }, 
	{ "RPMTRANS_FLAG_JUSTDB", RPMTRANS_FLAG_JUSTDB }, 
	{ "RPMTRANS_FLAG_NOTRIGGERS", RPMTRANS_FLAG_NOTRIGGERS }, 
	{ "RPMTRANS_FLAG_NODOCS", RPMTRANS_FLAG_NODOCS }, 
	{ "RPMTRANS_FLAG_ALLFILES", RPMTRANS_FLAG_ALLFILES }, 
	{ "RPMTRANS_FLAG_NOPLUGINS", RPMTRANS_FLAG_NOPLUGINS }, 
	{ "RPMTRANS_FLAG_NOCONTEXTS", RPMTRANS_FLAG_NOCONTEXTS }, 
	{ "RPMTRANS_FLAG_NOTRIGGERPREIN", RPMTRANS_FLAG_NOTRIGGERPREIN }, 
	{ "RPMTRANS_FLAG_NOPRE", RPMTRANS_FLAG_NOPRE }, 
	{ "RPMTRANS_FLAG_NOPOST", RPMTRANS_FLAG_NOPOST }, 
	{ "RPMTRANS_FLAG_NOTRIGGERIN", RPMTRANS_FLAG_NOTRIGGERIN }, 
	{ "RPMTRANS_FLAG_NOTRIGGERUN", RPMTRANS_FLAG_NOTRIGGERUN }, 
	{ "RPMTRANS_FLAG_NOPREUN", RPMTRANS_FLAG_NOPREUN }, 
	{ "RPMTRANS_FLAG_NOPOSTUN", RPMTRANS_FLAG_NOPOSTUN }, 
	{ "RPMTRANS_FLAG_NOTRIGGERPOSTUN", RPMTRANS_FLAG_NOTRIGGERPOSTUN }, 
	{ "RPMTRANS_FLAG_NOPRETRANS", RPMTRANS_FLAG_NOPRETRANS }, 
	{ "RPMTRANS_FLAG_NOPOSTTRANS", RPMTRANS_FLAG_NOPOSTTRANS }, 
	{ "RPMTRANS_FLAG_NOMD5", RPMTRANS_FLAG_NOMD5 }, 
	{ "RPMTRANS_FLAG_NOFILEDIGEST", RPMTRANS_FLAG_NOFILEDIGEST }, 
	{ "RPMTRANS_FLAG_NOCONFIGS", RPMTRANS_FLAG_NOCONFIGS }, 
	{ "RPMTRANS_FLAG_DEPLOOPS", RPMTRANS_FLAG_DEPLOOPS }, 
	{ "RPMTRANS_FLAG_NOPAYLOAD", RPMTRANS_FLAG_NOPAYLOAD }, 
	{ "RPMTRANS_FLAG_APPLYONLY", RPMTRANS_FLAG_APPLYONLY }, 
	{ "RPMTRANS_FLAG_KEEPOBSOLETE", RPMTRANS_FLAG_KEEPOBSOLETE }, 
	{ "RPMTRANS_FLAG_DIRSTASH", RPMTRANS_FLAG_DIRSTASH }, 
	{ "RPMTRANS_FLAG_REPACKAGE", RPMTRANS_FLAG_REPACKAGE }, 
	{ "RPMTRANS_FLAG_PKGCOMMIT", RPMTRANS_FLAG_PKGCOMMIT }, 
	{ "RPMTRANS_FLAG_PKGUNDO", RPMTRANS_FLAG_PKGUNDO }, 
	{ "RPMTRANS_FLAG_COMMIT", RPMTRANS_FLAG_COMMIT }, 
	{ "RPMTRANS_FLAG_UNDO", RPMTRANS_FLAG_UNDO }, 
	{ "RPMTRANS_FLAG_REVERSE", RPMTRANS_FLAG_REVERSE }, 
	{ "RPMTRANS_FLAG_NOSUGGEST", RPMTRANS_FLAG_NOSUGGEST }, 
	{ "RPMTRANS_FLAG_ADDINDEPS", RPMTRANS_FLAG_ADDINDEPS }, 
#endif /* H_RPMTS */
	{ NULL, 0 } /* NULL terminated (rpmtransFlags) */
};
const struct rpmconstant_s * rpmtransFlagsctable = rpmtransFlagsctbl;


/* From rpmts.h
 * prefix tag: RPMTS_OP_
 * table: rpmtsOpX */
static const struct rpmconstant_s rpmtsOpXctbl[] = {
#ifdef H_RPMTS
	{ "RPMTS_OP_TOTAL", RPMTS_OP_TOTAL }, 
	{ "RPMTS_OP_CHECK", RPMTS_OP_CHECK }, 
	{ "RPMTS_OP_ORDER", RPMTS_OP_ORDER }, 
	{ "RPMTS_OP_FINGERPRINT", RPMTS_OP_FINGERPRINT }, 
	{ "RPMTS_OP_INSTALL", RPMTS_OP_INSTALL }, 
	{ "RPMTS_OP_ERASE", RPMTS_OP_ERASE }, 
	{ "RPMTS_OP_SCRIPTLETS", RPMTS_OP_SCRIPTLETS }, 
	{ "RPMTS_OP_COMPRESS", RPMTS_OP_COMPRESS }, 
	{ "RPMTS_OP_UNCOMPRESS", RPMTS_OP_UNCOMPRESS }, 
	{ "RPMTS_OP_DIGEST", RPMTS_OP_DIGEST }, 
	{ "RPMTS_OP_SIGNATURE", RPMTS_OP_SIGNATURE }, 
	{ "RPMTS_OP_DBADD", RPMTS_OP_DBADD }, 
	{ "RPMTS_OP_DBREMOVE", RPMTS_OP_DBREMOVE }, 
	{ "RPMTS_OP_DBGET", RPMTS_OP_DBGET }, 
	{ "RPMTS_OP_DBPUT", RPMTS_OP_DBPUT }, 
	{ "RPMTS_OP_DBDEL", RPMTS_OP_DBDEL }, 
	{ "RPMTS_OP_MAX", RPMTS_OP_MAX }, 
#endif /* H_RPMTS */
	{ NULL, 0 } /* NULL terminated (rpmtsOpX) */
};
const struct rpmconstant_s * rpmtsOpXctable = rpmtsOpXctbl;


/* From rpmtypes.h
 * prefix tag: RPMRC_
 * table: rpmRC */
static const struct rpmconstant_s rpmRCctbl[] = {
#ifdef _RPMTYPES_H
	{ "RPMRC_OK", RPMRC_OK }, /*!< Generic success code */
	{ "RPMRC_NOTFOUND", RPMRC_NOTFOUND }, /*!< Generic not found code. */
	{ "RPMRC_FAIL", RPMRC_FAIL }, /*!< Generic failure code. */
	{ "RPMRC_NOTTRUSTED", RPMRC_NOTTRUSTED }, /*!< Signature is OK, but key is not trusted. */
	{ "RPMRC_NOKEY", RPMRC_NOKEY }, /*!< Public key is unavailable. */
#endif /* _RPMTYPES_H */
	{ NULL, 0 } /* NULL terminated (rpmRC) */
};
const struct rpmconstant_s * rpmRCctable = rpmRCctbl;


/* From rpmvf.h
 * prefix tag: VERIFY_
 * table: rpmVerifyFlags */
static const struct rpmconstant_s rpmVerifyFlagsctbl[] = {
#ifdef _RPMVF_H
	{ "VERIFY_DEFAULT", VERIFY_DEFAULT }, /*!< */
	{ "VERIFY_MD5", VERIFY_MD5 }, 
	{ "VERIFY_FILEDIGEST", VERIFY_FILEDIGEST }, 
	{ "VERIFY_SIZE", VERIFY_SIZE }, 
	{ "VERIFY_LINKTO", VERIFY_LINKTO }, 
	{ "VERIFY_USER", VERIFY_USER }, 
	{ "VERIFY_GROUP", VERIFY_GROUP }, 
	{ "VERIFY_MTIME", VERIFY_MTIME }, 
	{ "VERIFY_MODE", VERIFY_MODE }, 
	{ "VERIFY_RDEV", VERIFY_RDEV }, 
	{ "VERIFY_CAPS", VERIFY_CAPS }, 
	{ "VERIFY_CONTEXTS", VERIFY_CONTEXTS }, 
	{ "VERIFY_FILES", VERIFY_FILES }, 
	{ "VERIFY_DEPS", VERIFY_DEPS }, 
	{ "VERIFY_SCRIPT", VERIFY_SCRIPT }, 
	{ "VERIFY_DIGEST", VERIFY_DIGEST }, 
	{ "VERIFY_SIGNATURE", VERIFY_SIGNATURE }, 
	{ "VERIFY_PATCHES", VERIFY_PATCHES }, 
	{ "VERIFY_HDRCHK", VERIFY_HDRCHK }, 
	{ "VERIFY_FOR_LIST", VERIFY_FOR_LIST }, 
	{ "VERIFY_FOR_STATE", VERIFY_FOR_STATE }, 
	{ "VERIFY_FOR_DOCS", VERIFY_FOR_DOCS }, 
	{ "VERIFY_FOR_CONFIG", VERIFY_FOR_CONFIG }, 
	{ "VERIFY_FOR_DUMPFILES", VERIFY_FOR_DUMPFILES }, 
	{ "VERIFY_ATTRS", VERIFY_ATTRS }, 
	{ "VERIFY_ALL", VERIFY_ALL }, 
#endif /* _RPMVF_H */
	{ NULL, 0 } /* NULL terminated (rpmVerifyFlags) */
};
const struct rpmconstant_s * rpmVerifyFlagsctable = rpmVerifyFlagsctbl;

static const struct rpmconstantlist_s rpmconstanttp[] = {
	{ (void *)hMagicctbl, "hmagic", NULL },
	{ (void *)rpmBuildFlagsctbl, "rpmbuildflags", "RPMBUILD_" },
	{ (void *)rpmElementTypectbl, "rpmelementtype", "TR_" },
	{ (void *)rpmMacrosContextctbl, "rpmmacroscontext", "RMIL_" },
	{ (void *)rpmMireModectbl, "rpmmiremode", "RPMMIRE_" },
	{ (void *)rpmRCctbl, "rpmrc", "RPMRC_" },
	{ (void *)rpmTagctbl, "rpmtag", "RPMTAG_" },
	{ (void *)rpmTagTypectbl, "rpmtagtype", "RPM_" },
	{ (void *)rpmVerifyFlagsctbl, "rpmverifyflags", "VERIFY_" },
	{ (void *)rpm_machtablectbl, "rpm_machtable", "RPM_MACHTABLE_" },
	{ (void *)rpmdbictbl, "rpmdbi", "RPMDBI_" },
	{ (void *)rpmlogctbl, "rpmlog", "RPMLOG_" },
	{ (void *)rpmsenseflagsctbl, "rpmsenseflags", "RPMSENSE_" },
	{ (void *)rpmtagSignaturectbl, "rpmtagsignature", "RPMSIGTAG_" },
	{ (void *)rpmtransFlagsctbl, "rpmtransflags", "RPMTRANS_FLAG_" },
	{ (void *)rpmtsOpXctbl, "rpmtsopx", "RPMTS_OP_" },
	{ (void *)rpmvsflagsctbl, "rpmvsflags", "RPMVSF_" },
	{ (void *) NULL, NULL, NULL } /* NULL terminated */
};
const struct rpmconstantlist_s * rpmconstanttype = rpmconstanttp;
const int rpmconstanttypesize = sizeof(rpmconstanttp) / sizeof(rpmconstanttp[0]) -1;
